/******************************************************************************************************************************************

			                               _____!!!ACHTUNG!!!______


In dieser Datei werden die Standardeinstellungen festgelegt. Sollten Sie nderungen durchfhren, dann bitte in der Datei
solarviewsettings.js, da die Datei solarviewdefaultsettings.js bei einem Update mitgeliefert wird und die nderungen dadurch 
berschrieben werden knnen.

Gehen Sie bei nderungen folgendermassen vor: Schauen Sie zuerst, ob der zu ndernde Wert bereits in der Datei solarviewsettings.js
vorhanden ist. Falls das der Fall ist, dann ndern Sie den Wert dort. Ist der Wert nicht vorhanden, dann kopieren Sie ihn einfach aus
der Datei solarviewdefaultsettings.js nach solarviewsettings.js und ndern dort dann den Wert ab.


*******************************************************************************************************************************************/
try{
/*************************************
Beschreibung der Standardvariablen
*************************************/

/*
PageRefresh: Hiermit wird festgelegt, ob die Seite alle 5 Minuten neu geladen werden soll oder nicht. Mgliche Werte sind 
true und false. Beim Setzen von true wird die Zeit bis zu den nchsten "vollen" 5 Minuten automatisch berechnet und die Seite dann
automatisch geladen. Die Seite wird dann 30 Sekunden nach Erreichen der vollen 5 Minuten neu geladen.
*/
if (typeof(PageRefresh) == "undefined")
	var PageRefresh=true;

/*
val_SeriesColor: Hier sind die Farbcodes aufgefhrt, die verwendet werden, um die einzelnen Wechselrichter farbig darzustellen.
Die erste Farbe entspricht dem Ersten Wechselrichter, die zweite dem Zweiten Wechselrichter usw. Bei mehrern Wechselrichtern wird
der erste Farbcode fr die Gesamtanlage verwendet. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
if (typeof(val_SeriesColors) == "undefined")
var val_SeriesColors = ['#FF2D2D','#FFAA00','#669933','#C26100','#8D9900','#3399FF','#9999FF','#990000','#006666','#663333'];

/*
val_d0Color: Hier sind die Farbcodes aufgefhrt, die verwendet werden, um d0-Daten farbig darzustellen.
Reihenfolge: Bezogen, Eigenverbrauch, Erzeugt, Eingespeist, Wirkleistung negativ, Wirkleistung postiv
Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
if (typeof(val_d0Colors) == "undefined")
var val_d0Colors = ['#FF2D2D','#FFAA00','#C26100','#669933','#B3B3B3','#C2C2C2'];

/*
val_ColorErtrag:
mit dieser Farbe werden die Ertragskurven dargestellt
*/
if (typeof(val_ColorErtrag) == "undefined")
var val_ColorErtrag='#FFFF00';

/*
val_ColorUDC:
mit dieser Farbe werden die Spannungskurven dargestellt. Bei einem Wechselrichter wird nur der erste Wert verwendet, bei mehreren
Wechselrichtern werden die weiteren Werte fr die UDC-Detail-Ansicht verwendet. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
if (typeof(val_ColorUDC) == "undefined")
var val_ColorUDC=['#FFAA00','#1A9900','#FFFA49','#8AFF14','#3399FF','#9999FF','#990000','#006666','#663333','#0000FF'];

/*
val_ColorErreicht:
mit dieser Farbe werden die erreichten Monatsertrge dargestellt. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
if (typeof(val_ColorErreicht) == "undefined")
var val_ColorErreicht='#FFAA00';

/*
val_ColorErwartet:
mit dieser Farbe werden die erwarteten Monatsertrge dargestellt. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
if (typeof(val_ColorErwartet) == "undefined")
var val_ColorErwartet='#FF2D2D';

/*
val_ColorJahre:
mit dieser Farbe werden die erwarteten Jahresertrge dargestellt. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
if (typeof(val_ColorJahre) == "undefined")
var val_ColorJahre='#FFCC33';

/*
val_LinienStaerke:
hiermit wird die Strke der gezeichneten Linien festgelegt
*/
if (typeof(val_LinienStaerke) == "undefined")
val_LinienStaerke=2.00;

/*
val_FlaecheFuellen:
mit diesem Wert wird festgelegt, ob die darunterliegenden Flchen der PAC-Kurve gefllt wird. Mgliche Werte sind true und false.
*/
if (typeof(val_FlaecheFuellen) == "undefined")
val_FlaecheFuellen=true;

/*
val_CursorZeigen:
mit dem Wert false wird der Cursor ausgeblendet, mit dem Wert true wird er eingebendet. Damit knnen die Messwerte in der Legende detailiert abgelesen werden,
allerdings knnen dann einzelne Kurven nicht mehr ausgeblendet werden
*/
if (typeof(val_CursorZeigen) == "undefined")
val_CursorZeigen=true;

/*
val_Location:
mit diesem Wert wird die Position der Legende festgelegt. Mgliche Werte sind 'n','ne','e','se','s','sw', 'w', 'nw'
Dabei handelt es sich um die englischen Abkrzungen fr Nord (n), Nord-Ost (ne), Ost (e) etc.
*/
if (typeof(val_Location) == "undefined")
val_Location='ne';

/*
val_Spalten:
mit diesem Wert wird festgelegt, in wieviele Spalten die Legende aufgeteilt werden soll. Der Wert 1 schreibt alle 
Werte in eine Spalte untereinander.
*/
if (typeof(val_Spalten) == "undefined")
val_Spalten=1;

/*
val_UDCIntervall:
mit dieser Zahl wird die Schrittweite der Spannungswerte im Diagramm festgelegt.
*/
if (typeof(val_UDCIntervall) == "undefined")
val_UDCIntervall=50;

/*
val_JahresErtragIntervall:
mit dieser Zahl wird die Schrittweite der Jahresertragswerte im Tab "Jahre" im Diagramm festgelegt.
*/
if (typeof(val_JahresErtragIntervall) == "undefined")
val_JahresErtragIntervall=1000;

/*
val_CentErtrag:
Die Ertragsvergtung fr den erzeugten Strom in Eurocent, ohne Komma. 15,32 Cent/kWh -> 1532.
Bei unterschiedlichen Vergtungsstzen bitte Variable val_CentErtragVariabel beachten. 
Falls der Umsatz nicht angezeigt werden soll muss die Variable val_CentErtrag_Anzeigen gendert werden auf false in der Datei solarviewsettings.js.
*/

if (typeof(val_CentErtrag) == "undefined")
var val_CentErtrag = 1532;

if (typeof(val_CentErtrag_Anzeigen) == "undefined")
var val_CentErtrag_Anzeigen=true;

/*
val_CentErtragVariabel:
Falls die Anlage mit unterschiedlichen Vergtungsstzen betrieben wird, dann knnen Sie in der Datei
solarviewsettings.js folgende Zeile einfgen und dort dann die Vergtungsstze der einzelnen Wechselrichter in
Eurocent, ohne Komma eintragen Beispiel: WR1 und WR2 erhalten eine Vergtung von 46,57 Cent, WR 3 eine Vergtung von 28,03 Cent:
	var val_CentertragVariabel=[0,4657,4675,2803,0,0,0,0,0,0];

Die Variable muss immer 10 Werte enthalten, die erste Variable ist immer '0' (Gesamtanlage, wird errechnet).	
	
*/

if(typeof(val_CentErtragVariabel) == "undefined")
{
	val_CentErtragVariabel=new Array(10);
	for(i=1;i<10;i++)
	{
		val_CentErtragVariabel[i]=val_CentErtrag;
	}
}

/*
val_WetterURL:
Die URL, die aufgerufen wird, wenn unterhalb des Kalenders der Link zur Wettervorhersage angeklickt wird.

*/
if (typeof(val_WetterURL) == "undefined")
var val_WetterURL = "http://wetterstationen.meteomedia.de/messnetz/forecast/099000.html";

/*
val_ErtragsFarbeMonate:
Die Farbe, die verwendet wird in der Monatsanzeige fr die erwarteten Ertrge
*/

if (typeof(val_ErtragsFarbeMonate) == "undefined")
var val_ErtragsFarbeMonate = "#007755";

/*
val_ErtragsFarbeMonate:
Die Farbe, die verwendet wird in der Monatsanzeige fr die erwarteten Ertrge
*/

if (typeof(val_ErtragsFarbeMonateErreicht) == "undefined")
var val_ErtragsFarbeMonateErreicht = "#ECE509";

/*
val_CentVerbrauch:
Die Der Preis fr den bezogenen Strom in Eurocent, ohne Komma. 22,00 Cent/kWh -> 2200. 
Falls der Betrag nicht angezeigt werden soll muss die Variable val_CentVerbrauch gelscht werden (Einfach // voranstellen).

*/
if (typeof(val_CentVerbrauch) == "undefined")
var val_CentVerbrauch = 2200;
/*
disableRefresh: Variable, die bestimmt, ob die Webseite alle 5 Minuten aktualisiert wird (=false) oder nicht aktualisiert werden soll (=true)
Standard ist = false, d.h. die Seite wird alle 5 Minuten aktualisiert
*/

if (typeof(disableRefresh) == "undefined")
var	disableRefresh=false;

/*
Alternative Skalierung. Der erste Wert ist fr die Gesamtanlage, die weiteren Werte sind fr die jeweiligen Wechselrichter. 
Es mssen 10 Werte angegeben werden, die nicht Null sein drfen. Zum Aktivieren mssen die beiden "//" entfernt werden.
Wird diese Variable nicht aktiviert, dann wird die "Installierte Leistung" zur Skalierung verwendet.
*/
/*
if (typeof(val_maxSkalierung) == "undefined")
val_maxSkalierung=[8000,1500,1500,5000,5000,5000,5000,5000,5000,5000];
*/
/*
val_Leistungsreduktion:
Jede Solaranlage verliert ber die Jahre an Wirkungsgrad, je nach Modul sind das ca. 20% nach 20 Jahren. Daraus ergibt sich eine Redukuktion
von 1.1% pro Jahr.
*/
if (typeof(val_Leistungsreduktion) == "undefined")
var val_Leistungsreduktion=0.989;	//entpricht 1,1% Pro Jahr ( (100 - 1,1)/100 )

/*
d0_glaetten:
D0-Zhler, die eine relativ geringe Auflsung haben (z.B. 0,1 kWh) und die den Wert fr die Wirkleistung nicht liefern, zeigen bei relativ geringer 
Einspeisung oder Bezug Peak-Werte an. Durch die Glttungsfunktion lsst sich dieses Verhalten mildern. val_d0_gltten muss dazu auf "true" gesetzt werden
*/
if (typeof(val_d0_glaetten) == "undefined")
val_d0_glaetten=false;

/*
var wr_fuer_d0_ev:
Hier kann festgelegt werden, welche Wechselrichter fr die D0-Darstellung als "Einspeisewechselrichter" verwendet werden sollen. Dies macht z.B. Sinn, wenn
eine Anlage aus Volleinspeisern und Eigenverbrauchs-Einspeisern unterschieden werden soll. Die Variable muss 9 Werte enthalten. "1" beudetet, dass der 
Wechselrichter als Eigenverbrauchseinspeiser verwendet werden soll "0" beudet, dass  er nicht verwendet wird. Die Reihenfolge in der Variable entspricht der
Reihenfolge der Wechselrichter in der Darstellung von SolarView.
*/
if (typeof(wr_fuer_d0_ev) == "undefined")
var wr_fuer_d0_ev=[1,1,1,1,1,1,1,1,1];

/*
var tabSelected;
Hiermit kann festgelegt werden, welches Tab bei Start der Webseite angezeigt werden soll. Gestartet wird mit 0, dies entspricht dem ersten Tab.

*/
if (typeof(tabSelected) == "undefined")
var tabSelected=0;

/*
Ende der Parameterliste
*/

}
catch(e){
alert("Fehler in solarviewdefaultsettings.js: " + e)
}
