
/*
Hier knnen einigen Einstellungen wie Farbe und UDC - Schrittweite eingestellt werden. Bei den Farben handelt es sich um
Standard- RGB Farbcodes. nderungen an den Werten werden je nach Browsereinstellung erst nach dem Lschen des Browser-Cache
aktiv. Erzwingen kann man das oft durch gedrckthalten der Umschalttaste und gleichzeitigem Neuladen der Seite.

***********************************************************************************************************************************


PageRefresh: Hiermit wird festgelegt, ob die Seite alle 5 Minuten neu geladen werden soll oder nicht. Mgliche Werte sind 
true und false. Beim Setzen von true wird die Zeit bis zu den nchsten "vollen" 5 Minuten automatisch berechnet und die Seite dann
automatisch geladen. Die Seite wird dann 30 Sekunden nach Erreichen der vollen 5 Minuten neu geladen.
*/
var PageRefresh=true;

/*
val_SeriesColor: Hier sind die Farbcodes aufgefhrt, die verwendet werden, um die einzelnen Wechselrichter farbig darzustellen.
Die erste Farbe entspricht dem Ersten Wechselrichter, die zweite dem Zweiten Wechselrichter usw. Bei mehrern Wechselrichtern wird
der erste Farbcode fr die Gesamtanlage verwendet. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
var val_SeriesColors = ['#FF2D2D','#FFAA00','#669933','#C26100','#8D9900','#3399FF','#9999FF','#990000','#006666','#663333'];

/*
val_ColorErtrag:
mit dieser Farbe werden die Ertragskurven dargestellt
*/
var val_ColorErtrag='#FFFF00';

/*
val_ColorUDC:
mit dieser Farbe werden die Spannungskurven dargestellt. Bei einem Wechselrichter wird nur der erste Wert verwendet, bei mehreren
Wechselrichtern werden die weiteren Werte fr die UDC-Detail-Ansicht verwendet. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
var val_ColorUDC=['#FFAA00','#1A9900','#FFFA49','#8AFF14','#3399FF','#9999FF','#990000','#006666','#663333','#0000FF'];

/*
val_ColorErreicht:
mit dieser Farbe werden die erreichten Monatsertrge dargestellt. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
var val_ColorErreicht='#FFAA00';

/*
val_ColorErwartet:
mit dieser Farbe werden die erwarteten Monatsertrge dargestellt. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
var val_ColorErwartet='#FF2D2D';

/*
val_ColorJahre:
mit dieser Farbe werden die erwarteten Jahresertrge dargestellt. Farbecode-Generator Beispiel: http://www.colorschemer.com/online.html
*/
var val_ColorJahre='#FFCC33';

/*
val_LinienStaerke:
hiermit wird die Strke der gezeichneten Linien festgelegt
*/
val_LinienStaerke=2.00;

/*
val_FlaecheFuellen:
mit diesem Wert wird festgelegt, ob die darunterliegenden Flchen der PAC-Kurve gefllt wird. Mgliche Werte sind true und false.
*/
val_FlaecheFuellen=true;

/*
val_CursorZeigen:
mit dem Wert false wird der Cursor ausgeblendet, mit dem Wert true wird er eingebendet. Damit knnen die Messwerte in der Legende detailiert abgelesen werden,
allerdings knnen dann einzelne Kurven nicht mehr ausgeblendet werden
*/
val_CursorZeigen=true;

/*
val_Location:
mit diesem Wert wird die Position der Legende festgelegt. Mgliche Werte sind 'n','ne','e','se','s','sw', 'w', 'nw'
Dabei handelt es sich um die englischen Abkrzungen fr Nord (n), Nord-Ost (ne), Ost (e) etc.
*/
val_Location='ne';

/*
val_Spalten:
mit diesem Wert wird festgelegt, in wieviele Spalten die Legende aufgeteilt werden soll. Der Wert 1 schreibt alle 
Werte in eine Spalte untereinander.
*/
val_Spalten=1;

/*
val_UDCIntervall:
mit dieser Zahl wird die Schrittweite der Spannungswerte im Diagramm festgelegt.
*/
val_UDCIntervall=50;

/*
val_JahresErtragIntervall:
mit dieser Zahl wird die Schrittweite der Jahresertragswerte im Tab "Jahre" im Diagramm festgelegt.
*/
val_JahresErtragIntervall=1000;

/*
val_CentErtrag:
Die Ertragsvergtung fr den erzeugten Strom in Eurocent, ohne Komma. 46,75 Cent/kWh -> 4675. 

Falls der Umsatz nicht angezeigt werden soll muss die Variable val_CentErtrag gelscht werden (Einfach // voranstellen).

*/

var val_CentErtrag = 1532;

/*
Alternative Skalierung. Der erste Wert ist fr die Gesamtanlage, die weiteren Werte sind fr die jeweiligen Wechselrichter. 
Es mssen 10 Werte angegeben werden, die nicht Null sein drfen. 
*/
//val_maxSkalierung=[8000,1500,1500,5000,5000,5000,5000,5000,5000,5000];


/*
val_KYRerwartet:
Die erwarteten Ertrge fr die Gesamtanlage pro Jahr in kWh.
Der erste Wert entspricht dem ersten Jahr der Ertragserfassung mit SolarView, der zweite Wert dem zweiten Jahr usw.
*/

//var val_KYRerwartet=[902,3939,3939,3939,3939,3939,3939,3939,6000,11000];

var val_Leistungsreduktion=0.9985;	//entpricht 0,15% Pro Jahr ( 1 - 0.0015 )

//val_CentErtragVariabel=[0,5056,5056,4675,4675,4675,4675,4675,4675,4675];

/*
var tabSelected;
Hiermit kann festgelegt werden, welches Tab bei Start der Webseite angezeigt werden soll. Gestartet wird mit 0, dies entspricht dem ersten Tab.
*/
var tabSelected=0;

/*
Ende der Parameterliste
*/


